VIGRA - VIGRA: SequenceAccessor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SequenceAccessor [Data Accessors] |

Accessor for items that are STL compatible sequences. More...

`#include <vigra/accessor.hxx>`

Inheritance diagram for SequenceAccessor:

List of all members.

## Public Types
typedef SEQUENCE::value_type | component_type
## Public Member Functions
template<class ITERATOR, class DIFFERENCE>
iterator | begin (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR>
iterator | begin (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE>
iterator | end (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR>
iterator | end (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE>
unsigned int | size (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR>
unsigned int | size (ITERATOR const &i) const

## Detailed Description

### template<class SEQUENCE>
class vigra::SequenceAccessor< SEQUENCE >

Accessor for items that are STL compatible sequences.

It encapsulates access to the sequences' begin() and end() functions.

Usage:

#include <vigra/accessor.hxx>
Namespace: vigra

        typedef std::list<std::list<int> > ListOfLists;

        ListOfLists ll;
        ...

        typedef vigra::SequenceAccessor<ListOfLists::value_type> ListOfListsAccessor;
        ListOfListsAccessor a;
        for(ListOfLists::iterator li = ll.begin(); li != ll.end(); ++li)
        {
            for(ListOfListsAccessor::iterator i = a.begin(li); i != a.end(li); ++i)
            {
                *i = 10;
            }
        }

## Member Typedef Documentation

typedef SEQUENCE::value_type component_type

the sequence's value_type

Reimplemented in VectorAccessor, RGBAccessor, and VectorAccessor< RGBVALUE >.

## Member Function Documentation

template<class ITERATOR, class DIFFERENCE>
iterator begin | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff |
| ) |  |  | const

get begin iterator for sequence at an offset of given iterator position

template<class ITERATOR>
iterator begin | ( | ITERATOR const & | i | ) | const

get begin iterator for sequence at given iterator position

template<class ITERATOR, class DIFFERENCE>
iterator end | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff |
| ) |  |  | const

get end iterator for sequence at a 2D difference vector of given iterator position

template<class ITERATOR>
iterator end | ( | ITERATOR const & | i | ) | const

get end iterator for sequence at given iterator position

template<class ITERATOR, class DIFFERENCE>
unsigned int size | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff |
| ) |  |  | const

get size of sequence at 2D difference vector of given iterator position

template<class ITERATOR>
unsigned int size | ( | ITERATOR const & | i | ) | const

get size of sequence at given iterator position

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)